none
Visual studio2010专业版不能使用Microsoft SQL Server 2008 Management Studio Express情况。 RRS feed

  • 问题

  • 您好,我的使用的环境是win7系统加Visual studio2010专业版及Visual studio2010SP1,我使用的数据库是Visual studio2010自带的数据库,安装Microsoft SQL Server 2008 Management Studio Express时出现,无法安装SQL Server 2008 Management Studio Express,提示未选择功能。我参照一下网上的方法“VS2010自带的SQL Server是Express简化版的,需要到“SQL Server安装中心>维护>版本升级”,把它升级成“具有高级服务的Express”(很快就可完成)。再运行SQL Server 2008 Management Studio Express安装包,随后会再次弹出SQL Server安装中心,选择“安装>全新SQL Server独立安装或向现有安装添加功能”,接下去就可以添加Management Studio了。”按此方法问题是解决了,但是在安装过程中去到安装规则这一选项卡时,操作检测到“Microsoft Visual Studio2008的早期版本”这一项是失败的,关于其详细记录是“此计算机上安装了 Microsoft Visual Studio 2008 的早期版本。请在安装 SQL Server 2008 前将 Microsoft Visual Studio 2008 升级到 SP1。”,然后我就没办法进入下一步“准备安装”。我查了一下自己的程序列表里,只有一个程序是Crystal crystal reports basic for visual studio 2008及其语言包?请问这个问题要如何解决?
    2011年4月24日 20:54

答案

  • 你好!

    根据你上面的描述,你的机器上有Visual Studio 2008 的组件可能早于 Service Pack 1 版本的。请参照第二条:在安装或升级至 SQL Server 2008 之前,卸载早于 Service Pack 1 的所有 Visual Studio 2008 组件。 请尝试将Visual Studio 2008 组件卸载后重新安装SQL Server 2008。


    Best Regards,
    Stephanie Lv

    2011年4月28日 5:11

全部回复

  • 你好!

    由于 SQL Server 2008 的某些功能将安装的组件同时也是 Visual Studio 2008 SP1 发行版本的一部分,因此 SQL Server 2008 需要 Visual Studio 2008 SP1。如果改为安装了不带 Service Pack 的 Visual Studio 2008,那么在安装 SQL Server 2008 后,它将无法正常运行。为了避免这种冲突,请使用下列方法之一:

    • 在安装或升级至 SQL Server 2008 之前,为所有的 Visual Studio 组件安装 Visual Studio 2008 SP1 的发行版本。
    • 在安装或升级至 SQL Server 2008 之前,卸载早于 Service Pack 1 的所有 Visual Studio 2008 组件。
    • 在安装或升级至 SQL Server 2008 时,请勿选择需要安装 Visual Studio 2008 的任何 SQL Server 2008 功能。例如,不要选择 Analysis Services、Integration Services 或 BusinessIntelligence Development Studio 功能。

    详细信息,请参考:安装 SQL Server 2008 时可能需要 Visual Studio 2008 SP1

    Best Regards,
    Stephanie Lv

    2011年4月26日 4:54
  • 您好,我安装使用的是visual studio2010专业版,装好这个之后我再装了个升级包visual studio 2010SP1.现在的问题是我装SQL Server 2008 Management Studio Express来使用visual studio2010自带的数据库时,安装过程中自检出现检测到“Microsoft Visual Studio2008的早期版本”,具体描述是此计算机上安装了 Microsoft Visual Studio 2008 的早期版本。请在安装 SQL Server 2008 前将 Microsoft Visual Studio 2008 升级到 SP1。“。就这样,我没办法安装SQL Server 2008 Management Studio Express这个可视化管理数据库软件。我看了楼主您的方法,不是很明白,倒地要如何解决?而且我发现您的回答当中都是牵涉到Visual Studio 2008(visual studio2008自带的数据库是SQL2005的),我使用的是visual studio2010啊,只有它自带的数据库使用的是SQL2008,请问要如何解决,麻烦详细说一下,谢谢!
    2011年4月28日 4:48
  • 你好!

    根据你上面的描述,你的机器上有Visual Studio 2008 的组件可能早于 Service Pack 1 版本的。请参照第二条:在安装或升级至 SQL Server 2008 之前,卸载早于 Service Pack 1 的所有 Visual Studio 2008 组件。 请尝试将Visual Studio 2008 组件卸载后重新安装SQL Server 2008。


    Best Regards,
    Stephanie Lv

    2011年4月28日 5:11